Subject: [netatalk-admins] network problems

From: "Gavin Clark" <[email-masked]>
Date: Wed, 09 Jun 1999 14:03:06 -0700

This is more of a basic networking problem but it involves a mac network so
I thought this might be the place to find answers. I'm trying to setup a
linux box as a fileserver for a two mac network.  Bits are moving over the
wire but the machines can't seem to pull it together.

I ping the linux box from the mac and nothing comes back but I get errors
logged in /var/log/messages (see below)

I ping the mac from the linux box and I get nothing back but if I set
WhatRoute to 'monitor' I see the packets comming in.

I can't tell if the problem is with the mac network setup or the linux box
setup or the ethernet card. I can make the macs see each other no problem.

Greatful for any ideas,

                                        Gavin

The specifics

MAC
tcp/ip - connect via=ethernet, config=manually, IP=192.168.2.2 - other
settings are blank

linux box
OS: linux - redhat 6.0  - 2.2.5 kernel
ETH card: D-Link DE-220P - ISA - NE compatible
Processor: 586 200MHz

ifconfig:
eth0 encap:ethernet
inet addr:192.168.2.1 bcast:192.168.2.255 Mask:255.255.255.0
RX  packets:367  error:163 others are 0
TX  packets:98
collisions:0 txqueuelen:100
interrupt:3 base address:0x240

route:
192.168.2.1 * 255.255.255.255 UH 0 0 0 eth0
192.168.2.0 * 255.255.255.0 UH 0 0 0 eth0
127.0.0.0 * 255.0.0.0 UH 0 0 0 lo

/var/log/messages
kernel: eth0: mismatched read page pointers 60 vs. 4c

I downloaded some utilities that show the card at:
io=0x240  irq=3

/ete/conf.modules
alias eth0 ne
options ne io=0x240 irq=3

module NE loads